# Uses of Class
com.ngrok.definitions.EventSource

Packages that use EventSource
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of EventSource in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type EventSource
  Modifier and Type
  Method
  Description
  `List<EventSource>`
  EventSourceList.`getSources()`
  The list of all Event Sources for an Event Subscription
  `List<EventSource>`
  EventSubscription.`getSources()`
  Sources containing the types for which this event subscription will trigger
  Constructor parameters in com.ngrok.definitions with type arguments of type EventSource
  Modifier
  Constructor
  Description
  ``
  `EventSourceList(List<EventSource> sources, URI uri)`
  Creates a new instance of `EventSourceList`.
  ``
  `EventSubscription(String id, URI uri, OffsetDateTime createdAt, String metadata, String description, List<EventSource> sources, List<Ref> destinations)`
  Creates a new instance of `EventSubscription`.

- ## Uses of EventSource in com.ngrok.services

  Methods in com.ngrok.services that return EventSource
  Modifier and Type
  Method
  Description
  `EventSource`
  EventSources.CreateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EventSource`
  EventSources.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EventSource`
  EventSources.UpdateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type EventSource
  Modifier and Type
  Method
  Description
  `CompletionStage<EventSource>`
  EventSources.CreateCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EventSource>`
  EventSources.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EventSource>`
  EventSources.UpdateCallBuilder.`call()`
  Initiates the API call asynchronously.